petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscGetRealPath

Get the path without symbolic links etc. and in absolute form.

### Synopsis

    PetscErrorCode  PetscGetRealPath(const char path[],char rpath[])

Not Collective

### Input Parameter

path -path to resolve

### Output Parameter

rpath -resolved path

### Notes

rpath is assumed to be of length PETSC_MAX_PATH_LEN.

Systems that use the automounter often generate absolute paths of the form "/tmp_mnt....". However, the automounter will fail to mount this path if it is not already mounted, so we remove this from the head of the line. This may cause problems if, for some reason, /tmp_mnt is valid and not the result of the automounter.

### See Also

PetscGetFullPath()

Level:developer
Location:src/sys/fileio/grpath.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages